Bug 138531 - Dynamic Data Exchange is not operable
Summary: Dynamic Data Exchange is not operable
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha0+
Hardware: All All
: high major
Assignee: Not Assigned
URL:
Whiteboard: target:7.3.0 target:7.2.3 target:7.1.7
Keywords: bibisected, bisected, regression
: 145255 (view as bug list)
Depends on:
Blocks: Files-Linked
  Show dependency treegraph
 
Reported: 2020-11-27 18:43 UTC by Charles R. Francis
Modified: 2022-02-01 11:52 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
zipped file containing 3 linked files (85.45 KB, application/x-zip-compressed)
2020-12-12 13:59 UTC, Charles R. Francis
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Charles R. Francis 2020-11-27 18:43:17 UTC
Description:
After paste special [DDE] data from a Calc spreadsheet into a Writer document, changing the data in the spreadsheet will not update in the Writer document

Steps to Reproduce:
1. Make a Calc spreadsheet and a Writer document
2. Insert random numbers into the Calc spreadsheet 
3. Paste special [DDE] the data into the Writer document
4. Change data in the spreadsheet and see if it updates automatically. If not try manually updating using edit >link dialogue 

Actual Results:
No update of data in the Writer document 

Expected Results:
All data should update to latest data in the Writer document.


Reproducible: Always


User Profile Reset: No


OpenGL enabled: Yes

Additional Info:
I started this particular effort in LO 6 and it worked perfectly and still does in both Windows and Linux. Upon seeing the first LODEV release 7, I have tried to use DDE and it has not updated. It has not worked in any version of 7 either Windows [10] based or Linux [Mint, Solis, or Elementary] based.
Comment 1 Charles R. Francis 2020-12-12 13:59:18 UTC
Created attachment 168099 [details]
zipped file containing 3 linked files

The attached 3 files are linked allowing insertion of monies in the calc file to be shown in the 2 writer files.  The 3 files must be in the same folder.  As indicated earlier, I am having to continue using the latest version of LO 6 until this is corrected.
Comment 2 Bala 2020-12-22 13:46:52 UTC
Yes, it is reproducible in LO 7.1
Comment 3 Aron Budea 2021-04-18 03:58:28 UTC
It's good to mark regressions with the keywords 'regression' and 'bibisectRequest', so they can be bibisected later to find the offending commit.

In this case the bug started with the following commit, bibisected using repo bibisect-linux-64-7.0. Adding CC: to Bjoern Michaelsen.

https://cgit.freedesktop.org/libreoffice/core/commit/?id=c73b5e969b2f9abdb2b9191938ca30bec5af725d
author		Bjoern Michaelsen <bjoern.michaelsen@libreoffice.org>	2020-02-04 01:50:56 +0100
committer	Björn Michaelsen <bjoern.michaelsen@libreoffice.org>	2020-02-07 19:49:13 +0100

SwFormatField::Modify no more (folded into SwClientNotify)
Comment 4 Roman Kuznetsov 2021-08-30 17:49:47 UTC
I would increase an Importance to high. DDE between Calc and Writer is a very useful feature and today it doesn't work!

Xisco, what do you think?
Comment 5 Roman Kuznetsov 2021-10-21 13:24:51 UTC
*** Bug 145255 has been marked as a duplicate of this bug. ***
Comment 6 Jean-Baptiste Faure 2021-10-22 12:56:12 UTC
According to https://wiki.documentfoundation.org/QA/Bugzilla/Fields/Severity#Severity_Levels set severity to major (function lost).

Best regards. JBF
Comment 7 Björn Michaelsen 2021-10-24 22:20:03 UTC
https://gerrit.libreoffice.org/c/core/+/124129
Comment 8 Commit Notification 2021-10-25 09:18:48 UTC
Bjoern Michaelsen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/98247b039baea4697e6c387025afcf6a2963c043

tdf#138531: Also update DDE tables, not only fields

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2021-10-25 13:08:25 UTC
Bjoern Michaelsen committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/5380e47db7ad968c442026f7d2e8ede79bc55564

tdf#138531: Also update DDE tables, not only fields

It will be available in 7.2.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2021-10-25 13:09:41 UTC
Bjoern Michaelsen committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/a4f9fba0ba49ae6e27c2f1fa2ef9b21d0ae7c522

tdf#138531: Also update DDE tables, not only fields

It will be available in 7.1.8.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2021-10-25 19:04:42 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/03f4bd06bd89eb086eeb332693d1c4e96916e2df

tdf#138531: sw: Add UItest

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2021-10-26 08:36:42 UTC
Bjoern Michaelsen committed a patch related to this issue.
It has been pushed to "libreoffice-7-1-7":

https://git.libreoffice.org/core/commit/c34dd19ef0729504e89c8b2523c6228fbb716fda

tdf#138531: Also update DDE tables, not only fields

It will be available in 7.1.7.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 gmarco 2022-01-02 22:23:23 UTC
Look at the new bug 146532